# A test app for Mongoose and SSD1306 (variant for Wemos 64x48 OLED display)

## Overview

This is a simple app using the C interface only to create some content on the OLED display.

## How to build this app
### Locally
- get local copy of the needed library:
-- mkdir libs
-- git clone https://gitea.pmpark.de/dirk/ssd1306dj libs/ssd1306dj
- get source of testOled
-- git clone https://gitea.pmpark.de/dirk/MongooseESPWemosOled64x48
-- cd MongooseESPWemosOled64x48
-- mos build --local
- flash your Wemos device with Oled 64x48 display
-- mos flash

### Remote (not yet finished, does not work!)
- mos build --arch ESP8266

## How to install this app

- Install and start [mos tool](https://mongoose-os.com/software.html)
- Switch to the Project page, find and import this app, build and flash it:

<p align="center">
  <img src="https://mongoose-os.com/images/app1.gif" width="75%">
</p>

